<!DOCTYPE html>
<html lang="en">
<head>
    <meta charset="UTF-8">
    <meta http-equiv="X-UA-Compatible" content="IE=edge">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <title>Document</title>
</head>
<body>
    <!--Opción 1: Create y append-->
    <!--
    <div id="articulos"><p>Parrafo que está en el HTML</p></div>
   <script>
       //Creamos y añadimos nuevos elementos usando CREATE y APPEND

       let parrafoPrimero = document.createElement('p');
       let parrafoPrimeroTexto = document.createTextNode('Párrafo que creamos al principio pero que añadimos al final');
       parrafoPrimero.appendChild(parrafoPrimeroTexto);
      

       let destacado = document.createElement('em');
       destacadoTexto = document.createTextNode('texto que destacamos');
       destacado.appendChild(destacadoTexto);

       let parrafoSegundo = document.createElement('p');
       let parrafoSegundoTexto1 = document.createTextNode('Este es el ');
       let parrafoSegundoTexto2 = document.createTextNode(' del segundo párrafo. Tenemos que ir añadiendo en el orden en que queremos que salga.');
      
       //Añadimos los nosdos texto y em que hemos en el orden.
       parrafoSegundo.appendChild(parrafoSegundoTexto1);
       parrafoSegundo.appendChild(destacado);
       parrafoSegundo.appendChild(parrafoSegundoTexto2);
      
       //Tenemos creados todos los parrafos y ahora hay que añadirlos a un elemetos que está en el DOM.
       let miDiv = document.getElementById('articulos');
       miDiv.style.backgroundColor='green';

      
       //Insertamos el P que hemos definido en segunda posición, ANTES que el que hay ya dentro de la DIV.
       let parrafoDOM = miDiv.children[0];
       miDiv.insertBefore(parrafoSegundo, parrafoDOM);

       //O bien lo pondriamos a continuación
       // miDiv.appendChild(parrafoSegundo);

       //Lo añadimos al final, se colocará automáticamente en la cola.
       miDiv.appendChild(parrafoPrimero);
   </script>
-->
<!--Opción 2: Combinar creta/append e innerHTML5-->
<div id="articulosInner">
    <p>Parrafo que está en el HTML</p>
</div>

<script>

    let miDivInner = document.getElementById('articulosInner');
    miDivInner.style.backgroundColor = 'yellow';

    miDivInner.innerHTML += '<p>Párrafo añadido al final, por defecto.</p>';

    //Creamos un parrafo y le especificamos que texto HTML tiene (incluye tags)
    let parrafoSegundoInner = document.createElement('p');
    parrafoSegundoInner.innerHTML = 'Este es el texto que <em>destacamos del segundo párrafo</em>. Tenemos que ir añadiendo en el orden en que queremos que salga.';

    //Añadimos este nuevo parrafo antes que el primero que hay.
    let parrafoDOMInner = miDivInner.children[0];
    miDivInner.insertBefore(parrafoSegundoInner, parrafoDOMInner);

</script>
</body>
</html>